Subject: Re: bug#78864: Support for bookmarks in debbugs.el

From: Matthias Meulien <[email-masked]>
Date: Sun, 22 Jun 2025 19:58:25 +0200

Le dim. 22 juin 2025, 19:38, Michael Albinus <[email-masked]> a
écrit :

> Matthias Meulien <[email-masked]> writes:
>
> > Hi Michael,
>
> Hi Matthias,
>
> > First, sorry for not posting directly to a bug report mailing list but
> > I am not used to report for ELPA  hosted packages and failed to find
> > the mail address where to report bugs for debbugs.el.  I just show
> > that you're the package maintainer. Please tell me whether there's a
> > better place to post what follows, and I'll do it.
>
> GNU ELPA packages are regarded as part of Emacs. 'M-x report-emacs-bug'
> is perfect for them.
>
> I'm sending my reply to <[email-masked]> in order to get a bug
> number.
>

Thank you!

> Here's my point.  For people (like me!) that haven't subscribed to
> > emacs bug mailing list (frightened by its traffic for example) it's
> > difficult to follow a bug report.  From time to time, I found myself
> > searching my memory for that bug number I contributed to but never saw
> > what happened since then, etc.
> >
> > Attached is a patch adding support for bookmarks in Debbugs buffers.
> > I am not a heavy user of the package so I am not sure this patch
> > covers the most frequent use cases. But its able to save and restore
> > simple queries.
> >
> > Tell me whether you're interested in this feature, if there are
> > changes I should apply to the patch, etc.
>
> It looks interesting. Personally, I'm not a user of bookmark.el, so I
> have no clear view whether we need it in parallel to the tagging of bugs
> in debbugs. See the commands `debbugs-gnu-toggle-tag' and
> `debbugs-gnu-toggle-mark', which offer a kind of internal bookmarking.
>

I wasn't aware of that. I'll read a out those.

But I won't object if I understand the additional benefit.

Not clear to me at this point. Give me time to try what you recommended. I
suspect that we'll just close the bug.

> In case we continue to work on this, I propose to add the code into an
> additional file debbugs-bookmark.el. And we need some doc in
> debbugs-ug.texi.
>

Right.

Regards,
Matthias